﻿using System.Drawing;

namespace NTERA.Console
{
	public abstract class BaseRenderItem : IRenderItem
	{
		public Rectangle[] UpdateRegions { get; protected set; } = { };

		public abstract void Render(Graphics graphics, Rectangle renderArea, Point mousePointer);

		public virtual void Dispose() { }
	}
}